> ## Documentation Index
> Fetch the complete documentation index at: https://docs.open.cx/llms.txt
> Use this file to discover all available pages before exploring further.

> Redact all messages in a session by session ID, including any attached images. Use when applying or reversing PII redaction on a session or individual message.

# Redact all messages in a session



## OpenAPI

````yaml post /redaction/session
openapi: 3.1.0
info:
  title: OpenCX API
  description: >

    OpenCX is an AI-powered, all-in-one platform for customer support and
    outbound communications.


    Use this API to manage your OpenCX organization's AI agents, actions,
    conversations, contacts, and more.


    To get started, generate a new API key from the dashboard.


    ## Authentication

    All API endpoints require authentication using a Bearer token. You can
    generate an API key from your OpenCX dashboard.


    ## Rate Limiting

    API requests are rate limited to ensure fair usage. The current limits are:

    - 100 requests per minute for standard endpoints

    - 1000 requests per minute for streaming endpoints


    ## Error Handling

    The API uses standard HTTP status codes and returns detailed error messages
    in the response body.
  version: 1.0-beta
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.open.cx
    description: Production
security:
  - bearerAuth: []
paths:
  /redaction/session:
    post:
      summary: Redact all messages in a session
      description: >-
        Redact all messages in a session by session ID, including any attached
        images
      operationId: redactSession
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RedactSessionDto'
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  message:
                    type: string
                  itemId:
                    type: string
                  redactionType:
                    type: string
                    enum:
                      - message
                      - session
                  affectedCount:
                    type: number
                  messagesRedacted:
                    type: number
                required:
                  - success
                  - message
                  - itemId
                  - redactionType
                  - affectedCount
                  - messagesRedacted
                additionalProperties: false
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDto'
components:
  schemas:
    RedactSessionDto:
      $schema: https://json-schema.org/draft/2020-12/schema
      $id: '#/components/schemas/RedactSessionDtoInput'
      type: object
      properties:
        sessionId:
          type: string
          minLength: 1
          description: The session UUID whose messages will be redacted
        reason:
          description: Optional reason for redaction
          type: string
      required:
        - sessionId
    ErrorDto:
      type: object
      properties:
        statusCode:
          type: integer
        message:
          type: string
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````